## inotify-tools 3.11-1ubuntu1~feisty1

=== debian/changelog ===
inotify-tools (3.11-1ubuntu1~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Andr? Klitzing <aklitzing@online.de>  Sun, 22 Jun 2008 00:39:15 +0100

inotify-tools (3.11-1ubuntu1) gutsy; urgency=low

  * Install header files (LP: #131832).
  * debian/control: Modify Maintainer value to match
    DebianMaintainerField spec.
  * UVF exception: LP: #147861

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2007 23:55:13 +0200

inotify-tools (3.11-1) unstable; urgency=high

  * New upstream, fixes buffer overflow in inotifytools_snprintf
    CVE-2007-5037 (Fixes: #443913 for testing and unstable)

 -- Peter Makholm <peter@makholm.net>  Tue, 25 Sep 2007 05:20:18 +0000

inotify-tools (3.10-3) unstable; urgency=low

  * The libinotify packages replaces files in the pre-split package
    (Closes: 434148)
  * Added build-depend on doxygen so documentation will be buildt
    everywhere

 -- Peter Makholm <peter@makholm.net>  Sun, 22 Jul 2007 09:50:41 +0000

inotify-tools (3.10-2) unstable; urgency=low

  * Split into libinotifytools0 and inotify-tools packages
  * Change Build-depend on linux-kernel-headers (>= 2.6.18) to
    linux-libc-dev | linux-kernel-header (>= 2.6.18)
    (Yes, we want to help backporting and really needs some linux
    headers)
  * use cdbs instead af old old old dh_make template

 -- Peter Makholm <peter@makholm.net>  Tue, 17 Jul 2007 20:15:31 +0000

inotify-tools  (3.10-1) unstable; urgency=low

   * New upstream release

 -- Peter Makholm <peter@makholm.net>  Tue, 08 May 2007 19:16:54 +0200 

inotify-tools (3.3-1) unstable; urgency=low

  * New upstream release
  * Use <asm/unistd.h> for syscall numbers (Closes: #398158, #395310)
    Thanks to Goswin von Brederlow and LaMont Jones

 -- Peter Makholm <peter@makholm.net>  Mon, 13 Nov 2006 18:18:21 +0000

inotify-tools (2.6-1) unstable; urgency=low

  * Initial release (Closes: #394249)

 -- Peter Makholm <peter@makholm.net>  Fri, 20 Oct 2006 15:55:21 +0000

## inotify-tools 4.25.9.0

=== t/Makefile ===
# Run tests
#
# Copyright (c) 2011-2012 Mathias Lafeldt
# Copyright (c) 2005-2012 Git project
# Copyright (c) 2005-2012 Junio C Hamano
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/ .

SHELL_PATH ?= /bin/bash
RM ?= rm -f
PROVE ?= prove
AGGREGATE_SCRIPT ?= aggregate-results.sh
DEFAULT_TEST_TARGET ?= test

T = $(sort $(wildcard *.t))

all: $(DEFAULT_TEST_TARGET)

test: pre-clean
	$(MAKE) aggregate-results-and-cleanup

prove: pre-clean
	@echo "*** prove ***"; $(PROVE) --exec '$(SHELL_PATH)' $(PROVE_OPTS) $(T) :: $(TEST_OPTS)
	$(MAKE) clean-except-prove-cache

$(T):
	@echo "*** $@ ***"; '$(SHELL_PATH)' $@ $(TEST_OPTS)

pre-clean:
	$(RM) -r test-results

clean-except-prove-cache:
	$(RM) -r 'trash.directory'.* test-results

clean: clean-except-prove-cache
	$(RM) .prove

aggregate-results-and-cleanup: $(T)
	$(MAKE) aggregate-results
	$(MAKE) clean

aggregate-results:
	for f in test-results/*.counts; do \
		echo "$$f"; \
	done | '$(SHELL_PATH)' '$(AGGREGATE_SCRIPT)'

.PHONY: all test prove $(T) pre-clean clean
.PHONY: aggregate-results-and-cleanup aggregate-results

## inotify-tools 3.11-1ubuntu1

=== debian/control ===
Source: inotify-tools
Section: misc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Peter Makholm <peter@makholm.net>
Build-Depends: cdbs, debhelper (>= 5), doxygen, autotools-dev, linux-libc-dev | linux-kernel-headers (>= 2.6.18)
Standards-Version: 3.7.2

Package: libinotifytools0
Architecture: any
Depends: ${shlibs:Depends}
Replaces: inotify-tools (<< 3.10-2)
Description: utility wrapper around inotify
 Inotify is a Linux kernel feature enabling user space programs to
 monitor parts of the filesystem in a efficient way. libinotifytools
 is a thin layer on top of the kernel interface which makes it easy 
 to set up watches on many files at once, read events without having
 to deal with low-level I/O, and several utility functions for inotify-
 related string formatting

Package: libinotifytools0-dev
Architecture: any
Provides: libinotifytools-dev
Conflicts: libinotifytools-dev
Replaces: inotify-tools (<< 3.10-2)
Depends: ${shlibs:Depends}
Description: Development library and header files for libinotifytools0
 Headers, static libraries, and documentation for the libinotifytools
 library.
 .
 libinotifytools is a thin layer on top of the kernel interface which makes it
 easy to set up watches on many files at once, read events without having to
 deal with low-level I/O, and several utility functions for inotify-related
 string formatting

Package: inotify-tools
Architecture: any
Depends: ${shlibs:Depends}
Description: command-line programs providing a simple interface to inotify
 inotify-tools is a set of command-line programs for Linux providing a
 simple interface to inotify. These programs can be used to monitor and
 act upon filesystem events. inotify-tools consists of two utilities:
 .
 inotifywait simply blocks for inotify events, making it appropriate
 for use in shell scripts.
 .
 inotifywatch collects filesystem usage statistics and outputs counts
 of each inotify event.

=== debian/rules ===
#!/usr/bin/make -f

binary/inotify-tools:: binary/libinotifytools0
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_SHLIBDEPS_LIBRARY_inotify-tools = libinotifytools0
DEB_SHLIBDEPS_INCLUDE_inotify-tools = $(CURDIR)/debian/libinotifytools0/usr/lib
DEB_DH_INSTALL_SOURCEDIR = debian/tmp

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://sf.net/inotify-tools/inotify-tools-(.*)\.tar\.gz

## inotify-tools 3.14

=== debian/changelog ===
inotify-tools (3.14-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Build-Depends on linux-kernel-headers (Closes: #959456)

 -- Paul Gevers <elbrus@debian.org>  Mon, 25 May 2020 20:55:28 +0200

inotify-tools (3.14-8) unstable; urgency=medium

  * [ccfc4f03] Add Gitlab CI config file
  * [f852ac2b] Convert package to patch-unapplied style
  * [b24cd4ce] Bump standards version to 4.4.0
  * [3918e9f7] Fix buffer overrun in inotifytools.c (Closes: #925717)
  * [abbbf2b6] Bump debhelper from old 11 to 12.
  * [bc709d4e] Set upstream metadata fields: Contact, Name.

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 06 Aug 2019 16:42:10 +0000

inotify-tools (3.14-7) unstable; urgency=medium

  * Update maintainer email.
  * Update Vcs-* fields in debian/control.
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update standards version to 4.2.1 (no changes needed)
  * Add 'Build-Depends-Package' field into symbols file

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 24 Nov 2018 21:58:58 +0000

inotify-tools (3.14-6) unstable; urgency=medium

  * Convert package to source format 3.0 (quilt)
  * Create patches in `debian/patches`, making package buildable with
    `dgit build` (Closes: #896014)
  * Update standards version to 4.1.4 (no changes needed)
  * Bump debhelper compat to 11

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 20 Jun 2018 10:29:13 +0300

inotify-tools (3.14-5) unstable; urgency=medium

  * Disable sanitize build flags (Closes: #895811)
  * Remove sanitize symbols from symbols file

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 17 Apr 2018 22:22:55 +0300

inotify-tools (3.14-4) unstable; urgency=medium

  * Upload to unstable
  * Change source format back to 1.0, since it works better with dgit.
    As such, remove obsolete debian/README.source.
  * Enable all paranoid options of dpkg-buildflags(1)
  * Mark packages as multiarch-compatible (Closes: #875462)
  * Update Vcs-* fields in debian/control.
  * Update standards version to 4.1.3 (no changes needed)
  * Drop explicit dependency on autotools (implied by debhelper-10)
  * Use secure URL when referencing to copyright-format
  * Remove lintian-override about embedded javascript library.
    Lintian now knows, that there is nothing can be done in case of
    Doxygen.
  * Add sanity-check symbols into symbols file.

 -- Dmitry Bogatov <KAction@gnu.org>  Mon, 12 Feb 2018 22:31:28 +0300

inotify-tools (3.14-3) experimental; urgency=medium

  * New maintainer (Closes: #856293)
  * Convert package to dgit-maint-merge workflow (patches are squashed
    in uploaded source package)
  * Bump debhelper compat to 10
  * Adjust debian/*.install files to match paths, where libraries are installed
    by debhelper-10.
  * Remove unneed due compat 10 overrides from `debian/rules'
  * Reformat 'debian/changelog' according to DEP-5
  * Enable hardening
  * Update Vcs-* fields
  * Bump standards version to 3.9.8 (No changes needed)
  * Add lintian override concerning embedded javascript file. It is way
    how doxygen works and it can not be fixed.
  * Register doxygen documentation via doc-base.
  * Fix segfault with cvs output when filename contains comma (Closes: #702738)

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 09 Mar 2017 13:25:04 +0300

inotify-tools (3.14-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #856293)
  * Set architecture to linux-any to not even try building on other
    architectures. (Closes: #745204)
  * Run dh-autoreconf to fix FTBFS on arm64. (Closes: #727902)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Feb 2017 11:33:27 +0200

inotify-tools (3.14-1) unstable; urgency=low

  * debian/source/format now set to 3.0 (quilt)
    - remove quilt from Build-Deps and rules file as dpkg handles this
  * move git repository to collab-maint
  * remove dh_make comments from d/watch
  * Include NMU thanks to Moritz Muehlenhoff
  * Add patch to fix spelling of writable
  * Update Standards-Version to 3.9.3
  * Add dependency from libinotifytools0-dev for symlinking to
     the file in libinotifytools0
  * Add patch documenting inode behavior, thanks to Ondřej Kuzník
    (Closes: #594163)
  * Include watch file for new upstream location
  * Update Homepage to new github wiki
  * Update to new upstream release
    - Remove 59-62.patch and fix-segfault-csv.patch, applied upstream,
      refresh remaining changes

 -- Ryan Niebur <ryan@debian.org>  Mon, 18 Jun 2012 02:49:29 -0700

inotify-tools (3.13-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags (Closes: #657841)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 07 Apr 2012 17:53:25 +0200

inotify-tools (3.13-3) unstable; urgency=low

  * fix FTBFS by fixing the tests to not make bad assumptions (Closes:
    #558981)
  * prevent segfault in csv mode when there's no filename associated
    with the watch descriptor (LP: #408805)
  * update my email address

 -- Ryan Niebur <ryan@debian.org>  Thu, 24 Dec 2009 13:31:36 -0800

inotify-tools (3.13-2) unstable; urgency=low

  * remove clarify-timeout-option patch, use the patch from upstream SVN
    (60.patch)
  * add patch, 59.patch, from upstream svn to clarify move_self in the
    manpage (Closes: #533536)
  * add patch, 61.patch, from upstream SVN to make inotifywatch react to
    SIGUSR1 (Closes: #509842)
  * add patch, 62.patch, from upstream SVN to fix recursive monitoring
    when you limit the events (closes: #447672) (LP: 254751)
  * add DMUA field
  * shrink debian/rules a bit more
  * set Standards-Version to 3.8.3

 -- Ryan Niebur <ryanryan52@gmail.com>  Sat, 05 Sep 2009 12:56:17 -0700

inotify-tools (3.13-1) unstable; urgency=low

  * New Upstream Version (Closes: #494782)
    - fixes outputting time strings (Closes: #458132)
    - patch for inotifytools_next_events blocking if timeout is 0
      apparently applied upstream (Closes: #520672)
  * fix old changelog entries
  * add Homepage field


=== debian/control ===
Source: inotify-tools
Section: misc
Priority: optional
Maintainer: Dmitry Bogatov <KAction@debian.org>
Build-Depends: debhelper-compat (= 12), doxygen
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/inotify-tools.git
Vcs-Browser: https://salsa.debian.org/debian/inotify-tools
Homepage: https://github.com/rvoicilas/inotify-tools/wiki/

Package: libinotifytools0
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: inotify-tools (<< 3.10-2)
Description: utility wrapper around inotify
 Inotify is a Linux kernel feature enabling user space programs to
 monitor parts of the filesystem in a efficient way. libinotifytools
 is a thin layer on top of the kernel interface which makes it easy
 to set up watches on many files at once, read events without having
 to deal with low-level I/O, and several utility functions for inotify-
 related string formatting

Package: libinotifytools0-dev
Architecture: linux-any
Section: libdevel
Provides: libinotifytools-dev
Conflicts: libinotifytools-dev
Replaces: inotify-tools (<< 3.10-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, libinotifytools0 (= ${binary:Version})
Description: Development library and header files for libinotifytools0
 Headers, static libraries, and documentation for the libinotifytools
 library.
 .
 libinotifytools is a thin layer on top of the kernel interface which makes it
 easy to set up watches on many files at once, read events without having to
 deal with low-level I/O, and several utility functions for inotify-related
 string formatting

Package: inotify-tools
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line programs providing a simple interface to inotify
 inotify-tools is a set of command-line programs for Linux providing a
 simple interface to inotify. These programs can be used to monitor and
 act upon filesystem events. inotify-tools consists of two utilities:
 .
 inotifywait simply blocks for inotify events, making it appropriate
 for use in shell scripts.
 .
 inotifywatch collects filesystem usage statistics and outputs counts
 of each inotify event.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export CFLAGS  += $(shell getconf LFS_CFLAGS)
export LDFLAGS += $(shell getconf LFS_LDFLAGS)

%:
	dh $@

=== debian/watch ===
version=3

https://github.com/rvoicilas/inotify-tools/downloads .*/inotify-tools-(.+)\.tar\.gz

## inotify-tools 3.20.11.0

=== debian/changelog ===
inotify-tools (3.20.11.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 19 Aug 2021 21:37:29 -0300

inotify-tools (3.20.11.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: improved long descriptions.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 14 Aug 2021 18:31:04 -0300

inotify-tools (3.20.11.0-1) experimental; urgency=medium

  * New upstream version 3.20.11.0. (Closes: #961754, LP: #988530)
  * New maintainer. (Closes: #989403)
  * debian/control: removed unnecessary dependency ${shlibs:Depends} from
    binary libinotifytools0-dev.
  * debian/copyright: added new rights for the upstream.
  * debian/docs: created to provide the AUTHORS file.
  * debian/libinotifytools0.symbols: updated some symbols.
  * debian/patches/:
      - 0001-fix-ftbfs.patch: removed because it is no longer needed. New
        tests were made over panama.debian.org (an hppa porterbox).
      - 0002-fix-hyphens-in-manpages.patch: removed because hyphens are no
        longer a problem for manpages.
      - 0003-fix-spelling-of-writable.patch:
          ~ Renamed to 010_fix-spelling-of-writable.patch.
          ~ Added field Forwarded.
          ~ Updated to be compliant with new upstream release.
      - 0004-document-files-handled-by-their-inodes.patch:
          ~ Renamed to 020_document-files-handled-by-their-inodes.patch.
          ~ Added fields Bug-Debian and Forwarded.
          ~ Updated to be compliant with new upstream release.
      - 0005-Fix-segfault-with-csv-output-when-filename-contains-.patch:
        removed. The upstream already fixed the source code. Thanks!
      - 0006-Fix-buffer-overrun-in-inotifytools.c.patch: removed. The upstream
        already fixed the source code, but using another solution. Thanks!
  * debian/rules:
      - Removed useless lines and options because they were part of a test from
        previous maintainer:
          ~ 'qa=+all' from DEB_BUILD_MAINT_OPTIONS.
          ~ 'DPKG_EXPORT_BUILDFLAGS = 1'.
          ~ 'include /usr/share/dpkg/default.mk', used by last line.
      - Removed references to LFS because it can generate some issues and it is
        documented by the upstream.
  * debian/source/patch-header: useless. Removed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 19 Jun 2021 17:46:54 -0300

inotify-tools (3.14-9) experimental; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * QA upload.
  * Set Debian QA Group as maintainer. (see #989403)
  * Ran wrap-and-sort.
  * debian/control:
      - Added Rules-Requires-Root field.
      - Bumped debhelper-compat to 13.
      - Bumped Standards-Version to 4.5.1.
      - Reorganized long descriptions.
  * debian/copyright:
      - Fixed upstream licensing from GPL-2.1+ to GPL-2. (Closes: #989914)
      - Updated the Debian maintainers chain.
      - Updated full text of licenses.
      - Updated Upstream-Contact field.
  * debian/docs: removed because the content is not useful.
  * debian/patches/: added ".patch" suffix to patches 0002 and 0004.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide CI tests.
  * debian/upstream/metadata: full updated.
  * debian/watch:
      - Bumped version to 4.
      - Updated and improved the search rule.

  [ Debian Janitor ]
  * debian/control: added "Multi-Arch: same" to libinotifytools0-dev.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 15 Jun 2021 13:53:14 -0300

=== debian/control ===
Source: inotify-tools
Section: misc
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), doxygen
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/inotify-tools.git
Vcs-Browser: https://salsa.debian.org/debian/inotify-tools
Homepage: https://github.com/rvoicilas/inotify-tools/wiki/

Package: libinotifytools0
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: inotify-tools (<< 3.10-2)
Description: utility wrapper around inotify
 inotify (inode notify) is a Linux kernel subsystem that monitors events in
 filesystems and reports those events to applications in real time via API.
 .
 inotify can be used to monitor individual files or directories. When a
 directory is monitored, inotify will return events for the directory itself
 and for files inside the directory.
 .
 libinotifytools is a thin layer on top of the kernel interface which makes
 it easy to set up watches on many files at once, read events without having
 to deal with low-level I/O and several utility functions for inotify-related
 string formatting.

Package: libinotifytools0-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Provides: libinotifytools-dev
Conflicts: libinotifytools-dev
Replaces: inotify-tools (<< 3.10-2)
Depends: libinotifytools0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development library and header files for libinotifytools0
 inotify (inode notify) is a Linux kernel subsystem that monitors events in
 filesystems and reports those events to applications in real time via API.
 .
 inotify can be used to monitor individual files or directories. When a
 directory is monitored, inotify will return events for the directory itself
 and for files inside the directory.
 .
 libinotifytools is a thin layer on top of the kernel interface which makes
 it easy to set up watches on many files at once, read events without having
 to deal with low-level I/O and several utility functions for inotify-related
 string formatting.
 .
 This package is for development only, providing headers, static libraries and
 documentation for the libinotifytools library.

Package: inotify-tools
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command-line programs providing a simple interface to inotify
 inotify (inode notify) is a Linux kernel subsystem that monitors events in
 filesystems and reports those events to applications in real time via API.
 .
 inotify can be used to monitor individual files or directories. When a
 directory is monitored, inotify will return events for the directory itself
 and for files inside the directory.
 .
 inotify-tools is a set of command-line programs for Linux providing a simple
 interface to inotify. These programs can be used to monitor and act upon
 filesystem events. inotify-tools consists of two utilities: inotifywait and
 inotifywatch.
 .
 inotifywait efficiently waits for changes to files, making it appropriate
 for use in shell scripts.
 .
 inotifywatch collects filesystem usage statistics and outputs counts of each
 inotify event.
 .
 inotify-tools is also useful for security activities in firewall systems or
 to detect changes and injections of new files in webservers by intruders.

## inotify-tools 3.21.9.6

=== debian/changelog ===
inotify-tools (3.21.9.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Sep 2021 12:50:49 -0300

inotify-tools (3.21.9.6-1) unstable; urgency=medium

  * New upstream version 3.21.9.6.
  * Upload to unstable.
  * debian/patches/010_fix-spelling-manpages.patch: removed. The upstream
    fixed the source code. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 28 Sep 2021 07:30:47 -0300

inotify-tools (3.21.9.5-1) experimental; urgency=medium

  * New upstream version 3.21.9.5.
  * debian/control:
      - Bumped Standards-Version to 4.6.0.1.
      - Updated long description adding information about fsnotifywait and
        fsnotifywatch.
  * debian/libinotifytools0.symbols: updated with the new symbols from current
    upstream version.
  * debian/patches/:
      - Removed the following patches because the upstream fixed the source
        code. Thanks!
          ~ 010_fix-spelling-of-writable.patch
          ~ 020_document-files-handled-by-their-inodes.patch
      - 010_fix-spelling-manpages.patch: created to fix some spelling errors
        in manpages.
  * debian/rules: added option --enable-fanotify, available in current version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 27 Sep 2021 17:22:32 -0300

## inotify-tools 3.22.1.0

=== debian/changelog ===
inotify-tools (3.22.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Jan 2022 12:43:52 -0300

inotify-tools (3.22.1.0-1) experimental; urgency=medium

  * New upstream version 3.22.1.0.
  * debian/copyright: updated packaging copyright years.
  * debian/libinotifytools0.symbols: added a new symbol.
  * debian/metadata/upstream: added Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jan 2022 16:17:53 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), doxygen
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/inotify-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/inotify-tools
@@ -67,8 +67,8 @@
  .
  inotify-tools is a set of command-line programs for Linux providing a simple
  interface to inotify. These programs can be used to monitor and act upon
- filesystem events. inotify-tools consists of two utilities: inotifywait and
- inotifywatch.
+ filesystem events. inotify-tools consists of four utilities: inotifywait,
+ inotifywatch, fsnotifywait and fsnotifywatch.
  .
  inotifywait efficiently waits for changes to files, making it appropriate
  for use in shell scripts.
@@ -76,5 +76,13 @@
  inotifywatch collects filesystem usage statistics and outputs counts of each
  inotify event.
  .
+ fsnotifywait and fsnotifywatch are similar to inotifywait and inotifywatch,
+ but they are using Linux's fanotify(7) interface by default. The fanotify API
+ also provides notification and interception of filesystem events. Additional
+ capabilities compared to the inotify(7) API include the ability to monitor
+ all of the objects in a mounted filesystem, the ability to make access
+ permission decisions, and the possibility to read or modify files before
+ access by other applications.
+ .
  inotify-tools is also useful for security activities in firewall systems or
  to detect changes and injections of new files in webservers by intruders.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-fanotify

=== debian/watch ===
version=4
https://github.com/rvoicilas/inotify-tools/releases archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## inotify-tools 3.22.6.0

=== debian/changelog ===
inotify-tools (3.22.6.0-1) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * New upstream version 3.22.6.0.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: added rights for Radu Voicilas, Enrico Maria Crisostomo
    and Eric Curtin.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    - libinotifytools0: Drop versioned constraint on inotify-tools in Replaces.
    - libinotifytools0-dev: Drop versioned constraint on inotify-tools in
      Replaces.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 08 Jul 2022 23:32:59 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), doxygen
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/inotify-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/inotify-tools
@@ -14,7 +14,6 @@
 Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: inotify-tools (<< 3.10-2)
 Description: utility wrapper around inotify
  inotify (inode notify) is a Linux kernel subsystem that monitors events in
  filesystems and reports those events to applications in real time via API.
@@ -34,7 +33,6 @@
 Section: libdevel
 Provides: libinotifytools-dev
 Conflicts: libinotifytools-dev
-Replaces: inotify-tools (<< 3.10-2)
 Depends: libinotifytools0 (= ${binary:Version}),
          ${misc:Depends}
 Description: Development library and header files for libinotifytools0

## inotify-tools 4.23.9.0

=== debian/changelog ===
inotify-tools (4.23.9.0-2) unstable; urgency=medium

  * debian/copyright: updated packaging copyright years.
  * debian/libinotifytools0.symbols: set the symbol "str::~str()@Base" as
    optional to avoid a FTBFS on Ubuntu. Thanks to Benjamin Drung
    <bdrung@debian.org>. (Closes: #1072273)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 06 Jun 2024 10:32:28 -0300

inotify-tools (4.23.9.0-1) unstable; urgency=medium

  * New upstream version 4.23.9.0.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 13 Sep 2023 22:46:29 -0300

inotify-tools (4.23.8.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/libinotifytools0.symbols: using c++filt to demangle C++ symbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Aug 2023 13:34:42 -0300

inotify-tools (4.23.8.0-1) experimental; urgency=medium

  * New upstream version 4.23.8.0.
  * Fixed a link from a not versioned lib to soname in -dev binary.
    Consequently:
      - debian/libinotifytools0-dev.install: removed a linked file.
      - debian/libinotifytools0-dev.links: created to generate the right
        symlink.
      - debian/not-installed: created to ignore a not installed link.
  * debian/copyright:
      - Updated a file name (from libinotifytools/src/redblack.c to
        libinotifytools/src/redblack.cpp) because the upstream migrated a
        source code from C to C++.
      - Updated upstream copyright years.
  * debian/libinotifytools0.symbols: updated symbols.
  * debian/patches/010_fix-conflict-entry-point.patch: removed because the
    upstream applied it to the source code. Thanks.
  * debian/upstream/metadata: added field Documentation.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 28 Aug 2023 19:25:22 -0300

inotify-tools (3.22.6.0-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 and LGPL-2.1 in a comment.
      - Updated packaging copyright years.
  * debian/libinotifytools0.symbols: updated to be compliant with the new
    patch 010. Thanks to David Prévot <taffit@debian.org>.
  * debian/patches/010_fix-conflict-entry-point.patch: created to rename
    init variable to fix conflict with entry point. Thanks to David Prévot
    <taffit@debian.org>. (Closes: #1030694)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Feb 2023 19:33:06 -0300

inotify-tools (3.22.6.0-3) unstable; urgency=medium

  * debian/tests/control: reverted the changes from egrep to 'grep -E'.
    See #1019335.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Oct 2022 21:47:02 -0300

inotify-tools (3.22.6.0-2) unstable; urgency=medium

  * debian/tests/control: replaced 'egrep' by 'grep -E' to avoid stderr because
    there is a warning about egrep and fgrep commands since grep 3.8.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 09 Sep 2022 12:25:06 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/inotify-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/inotify-tools

## inotify-tools 4.25.9.0

=== debian/changelog ===
inotify-tools (4.25.9.0-1) unstable; urgency=medium

  * New upstream version 4.25.9.0.
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 27 Sep 2025 14:16:44 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), doxygen
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/inotify-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/inotify-tools
 Homepage: https://github.com/rvoicilas/inotify-tools/wiki/

=== debian/tests/control ===
Test-Command: inotifywait 2>&1 | egrep "No files specified to watch"
Restrictions: superficial

Test-Command: inotifywait -h 2>&1 | egrep -i usage:
Restrictions: superficial

Test-Command: inotifywatch 2>&1 | egrep "No files specified to watch"
Restrictions: superficial

Test-Command: inotifywatch -h 2>&1 | egrep -i usage:
Restrictions: superficial

Test-Command: inotifywatch -v -t 5 debian/tests/control 2>&1 > $AUTOPKGTEST_TMP/test &
              sleep 1; cat debian/tests/control > /dev/null;
              sleep 8; egrep control $AUTOPKGTEST_TMP/test
Restrictions: allow-stderr

Test-Command: mkdir $AUTOPKGTEST_TMP/box;
              > $AUTOPKGTEST_TMP/box/ok;
              inotifywatch -vr -t 5 $AUTOPKGTEST_TMP 2>&1 > $AUTOPKGTEST_TMP/test &
              sleep 1; ls $AUTOPKGTEST_TMP/box > /dev/null;
              sleep 8; egrep box $AUTOPKGTEST_TMP/test
Restrictions: allow-stderr

Test-Command: inotifywait debian/tests/control 2>&1 > $AUTOPKGTEST_TMP/test &
              sleep 1; cat debian/tests/control > /dev/null;
              sleep 1; egrep OPEN $AUTOPKGTEST_TMP/test

=== debian/watch ===
version=4
https://github.com/rvoicilas/inotify-tools/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
